Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Interface PortletConstants

public interface PortletConstants

Interface used to store Portlet related constants.

Field Summary
`static int` | `CACHE_LEVEL_SESSION`
`static java.lang.String` | `CACHE_LEVEL_SESSION_STR`
`static int` | `CACHE_LEVEL_SYSTEM`
`static java.lang.String` | `CACHE_LEVEL_SYSTEM_STR` The possible values for the cacheLevel attribute that may appear in the default provider definition file parsed by DefaultProviderDefinition.
`static int` | `CACHE_LEVEL_UNSPECIFIED` The possible values stored for the cacheLevel property.
`static int` | `CACHE_LEVEL_USER`
`static java.lang.String` | `CACHE_LEVEL_USER_STR`
`static java.lang.String` | `DESCRIPTION` Resource attribute name for the portlet description.
`static java.lang.String` | `NAME` Resource attribute name for the portlet name.
`static int` | `PERSONALIZATION_LEVEL_LANGUAGE` Setting used to indicate that the locale personalization level is LANGUAGE, i.e in addition to system level, default preferences will be stored with language information from the locale only (no country/territory).
`static java.lang.String` | `PERSONALIZATION_LEVEL_LANGUAGE_STR` String used to represent `PERSONALIZATION_LEVEL_LANGUAGE` in a human readable form.
`static int` | `PERSONALIZATION_LEVEL_LOCALE` Setting used to indicate that the locale personalization level is LOCALE, i.e in addition to system level, default preferences will be stored with full locale information (language and country).
`static java.lang.String` | `PERSONALIZATION_LEVEL_LOCALE_STR` String used to represent `PERSONALIZATION_LEVEL_LOCALE` in a human readable form.
`static int` | `PERSONALIZATION_LEVEL_NONE` Setting used to indicate that the locale personalization level is NONE, i.e default preferences are stored at the system level, irrespective of the locale in which they are created.
`static java.lang.String` | `PERSONALIZATION_LEVEL_NONE_STR` String used to represent `PERSONALIZATION_LEVEL_NONE` in a human readable form.
`static int` | `PERSONALIZATION_LEVEL_UNSPECIFIED` Setting used to indicate that the locale personalization level is not specified.
`static int` | `REWRITE_URLS_FALSE`
`static int` | `REWRITE_URLS_TRUE`
`static int` | `REWRITE_URLS_UNSPECIFIED` The possible values stored for the rewriteUrls property.
`static java.lang.String` | `SHORTTITLE` Resource attribute name for the portlet short title.
`static java.lang.String` | `TIMEOUTMSG` Resource attribute name for the portlet timeout message.
`static java.lang.String` | `TITLE` Resource attribute name for the portlet title.

Field Detail

### NAME

    public static final java.lang.String NAME

  Resource attribute name for the portlet name. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's name.

  See Also:
    Constant Field Values

### TITLE

    public static final java.lang.String TITLE

  Resource attribute name for the portlet title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's title.

  See Also:
    Constant Field Values

### SHORTTITLE

    public static final java.lang.String SHORTTITLE

  Resource attribute name for the portlet short title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's short title.

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Resource attribute name for the portlet description. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's description.

  See Also:
    Constant Field Values

### TIMEOUTMSG

    public static final java.lang.String TIMEOUTMSG

  Resource attribute name for the portlet timeout message. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's timeout message.

  See Also:
    Constant Field Values

### CACHE_LEVEL_SYSTEM_STR

    public static final java.lang.String CACHE_LEVEL_SYSTEM_STR

  The possible values for the cacheLevel attribute that may appear in the default provider definition file parsed by DefaultProviderDefinition.

  See Also:
    Constant Field Values

### CACHE_LEVEL_USER_STR

    public static final java.lang.String CACHE_LEVEL_USER_STR

See Also:
  Constant Field Values

### CACHE_LEVEL_SESSION_STR

    public static final java.lang.String CACHE_LEVEL_SESSION_STR

See Also:
  Constant Field Values

### CACHE_LEVEL_UNSPECIFIED

    public static final int CACHE_LEVEL_UNSPECIFIED

  The possible values stored for the cacheLevel property.

  See Also:
    Constant Field Values

### CACHE_LEVEL_SYSTEM

    public static final int CACHE_LEVEL_SYSTEM

See Also:
  Constant Field Values

### CACHE_LEVEL_USER

    public static final int CACHE_LEVEL_USER

See Also:
  Constant Field Values

### CACHE_LEVEL_SESSION

    public static final int CACHE_LEVEL_SESSION

See Also:
  Constant Field Values

### REWRITE_URLS_UNSPECIFIED

    public static final int REWRITE_URLS_UNSPECIFIED

  The possible values stored for the rewriteUrls property.

  See Also:
    Constant Field Values

### REWRITE_URLS_FALSE

    public static final int REWRITE_URLS_FALSE

See Also:
  Constant Field Values

### REWRITE_URLS_TRUE

    public static final int REWRITE_URLS_TRUE

See Also:
  Constant Field Values

### PERSONALIZATION_LEVEL_UNSPECIFIED

    public static final int PERSONALIZATION_LEVEL_UNSPECIFIED

  Setting used to indicate that the locale personalization level is not specified.

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_NONE

    public static final int PERSONALIZATION_LEVEL_NONE

  Setting used to indicate that the locale personalization level is NONE, i.e default preferences are stored at the system level, irrespective of the locale in which they are created.

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_LANGUAGE

    public static final int PERSONALIZATION_LEVEL_LANGUAGE

  Setting used to indicate that the locale personalization level is LANGUAGE, i.e in addition to system level, default preferences will be stored with language information from the locale only (no country/territory).

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_LOCALE

    public static final int PERSONALIZATION_LEVEL_LOCALE

  Setting used to indicate that the locale personalization level is LOCALE, i.e in addition to system level, default preferences will be stored with full locale information (language and country).

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_NONE_STR

    public static final java.lang.String PERSONALIZATION_LEVEL_NONE_STR

  String used to represent `PERSONALIZATION_LEVEL_NONE` in a human readable form.

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_LANGUAGE_STR

    public static final java.lang.String PERSONALIZATION_LEVEL_LANGUAGE_STR

  String used to represent `PERSONALIZATION_LEVEL_LANGUAGE` in a human readable form.

  See Also:
    Constant Field Values

### PERSONALIZATION_LEVEL_LOCALE_STR

    public static final java.lang.String PERSONALIZATION_LEVEL_LOCALE_STR

  String used to represent `PERSONALIZATION_LEVEL_LOCALE` in a human readable form.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.